# Class JModuleApi

#### Hierarchy (View Summary)

- JBaseApi
  - JModuleApi

- Defined in jamespot-user-api/src/apis/module/module.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getConfiguration
setConfiguration

## Constructors

### constructor

- new JModuleApi(jApi: JamespotUserApi): JModuleApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JModuleApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getConfiguration

- getConfiguration(
  payload: { moduleName: string },
  params?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<ModuleConfigurationFields, BaseMessages>>

  #### Parameters

  - payload: { moduleName: string }
  - `Optional` params: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<ModuleConfigurationFields, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/module/module.ts:7

### setConfiguration

- setConfiguration(
  payload: ModuleConfiguration,
  params?: { signal?: AbortSignal },
  ): Promise<ApiDefaultWrapper<BaseMessages>>

  #### Parameters

  - payload: ModuleConfiguration
  - `Optional` params: { signal?: AbortSignal }

  #### Returns Promise<ApiDefaultWrapper<BaseMessages>>

  - Defined in jamespot-user-api/src/apis/module/module.ts:20